Skip to Content
Customers

Get Customer Communication Settings

Acceso

Miembro de la organización con este permiso:

  • customers:read

Una clave API con scopes también necesita el permiso entre sus scopes.

GET
/orgs/{organizationId}/customers/{id}/communication-settings

Retrieves the communication settings for a customer.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Response Body

OK

application/json
  1. response
autoVoicemailCalls*boolean

When enabled, inbound calls from this customer's phone number are rejected by the Voys call plan (NAK) so they end up in voicemail.

staticCallDestination*|

Voys account number, internal extension, or phone number. Inbound calls from this customer's phone are routed here. Null disables static routing.

Example Request
curl -X GET 'https://api.tillor.eu/orgs//customers/string/communication-settings'
Example Response
{  "autoVoicemailCalls": true,  "staticCallDestination": "string"}